import { world, system } from "@minecraft/server";

world.beforeEvents.playerBreakBlock.subscribe((event) => {
    const { block, player } = event;

    if (block.typeId === "drg:vase_small") {
        const chance = Math.random(); // Gera um número entre 0 e 1

        if (chance <= 0.1) {
            system.run(() => {
                block.dimension.spawnEntity('minecraft:silverfish', block.location);
            })
        }
    }
})