import { world, system } from "@minecraft/server"

world.beforeEvents.playerInteractWithBlock.subscribe((event) => {
  const { block, player, itemStack, isFirstEvent } = event;

  const bellow = block.below();

  if (block.typeId == 'drg:leaves_oak_apple' && bellow.typeId == 'minecraft:air' && isFirstEvent && itemStack.typeId == 'minecraft:bone_meal') {
    system.run(() => {
      block.dimension.runCommand(`setblock ${bellow.x} ${bellow.y} ${bellow.z} drg:apple_block`);
    })
  }
  if (block.typeId == 'drg:leaves_oak_apple' && bellow.typeId == 'minecraft:air' && isFirstEvent && itemStack.typeId == 'minecraft:bone_meal') {
    system.run(() => {
      block.dimension.runCommand(`particle minecraft:crop_growth_emitter ${bellow.x} ${bellow.y + 1} ${bellow.z}`);
    })
  }
  if (block.typeId == 'drg:leaves_oak_apple' && bellow.typeId == 'minecraft:air' && isFirstEvent && itemStack.typeId == 'minecraft:bone_meal') {
    system.run(() => {
      block.dimension.runCommand(`playsound item.bone_meal.use @p ${bellow.x} ${bellow.y} ${bellow.z}`);
    })
  }
  if (block.typeId == 'drg:leaves_oak_apple' && bellow.typeId == 'minecraft:air' && isFirstEvent && itemStack.typeId == 'minecraft:bone_meal') {
    system.run(() => {
      block.dimension.runCommand(`clear @p[hasitem={item=bone_meal,location=slot.weapon.mainhand}] bone_meal 0 1`);
    })
  }
})