import { world, system } from "@minecraft/server";

world.beforeEvents.playerBreakBlock.subscribe((event) => {
    const { block, player } = event;

    if (block.typeId === "drg:vase_large") {
        const chance = Math.random();

        if (chance <= 0.18) {
            system.run(() => {
                block.dimension.spawnEntity('drg:haunt', block.location);

            })
        }
    }
})